#include "rocketchatjoinroomrequest.h"

RocketChatJoinRoomRequest::RocketChatJoinRoomRequest(const QString &pRoomId)
{
    QJsonArray params = {pRoomId, QJsonValue::Null};
    buildRequest( QStringLiteral( "joinRoom" ), params );
}

RocketChatJoinRoomRequest::RocketChatJoinRoomRequest(const QString &pRoomId, DdpCallback pSuccess):RocketChatJoinRoomRequest(pRoomId)
{
    setSuccess(pSuccess);
}
